libosmo-sigtran: src/tcap_as_loadshare_vty.c File Reference

libosmo-sigtran 2.2.1.99-1c6a Osmocom SIGTRAN library

Functions
tcap_as_loadshare_vty.c File Reference
`#include <stdlib.h>`
`#include <unistd.h>`
`#include <osmocom/core/hashtable.h>`
`#include <osmocom/sigtran/osmo_ss7.h>`
`#include <osmocom/vty/vty.h>`
`#include <osmocom/vty/command.h>`
`#include <osmocom/vty/logging.h>`
`#include <osmocom/vty/telnet_interface.h>`
`#include <osmocom/vty/misc.h>`
`#include "ss7_as.h"`
`#include "ss7_asp.h"`
`#include "ss7_vty.h"`
`#include "tcap_as_loadshare.h"`

## Functions
static int | show_one_tcap_range (struct vty *vty, const struct osmo_ss7_as *as, const struct tcap_range *tcrng)
| DEFUN (show_cs7_as_tcapranges_name, show_cs7_as_name_tcapranges_cmd, "show cs7 instance <0-15> as name AS_NAME tcap-ranges", SHOW_STR CS7_STR INST_STR INST_STR "Application Server (AS)\n" "Look up AS with a given name\n" "Name of the Application Server (AS)\n" "Display tcap ranges\n")
| DEFUN (show_cs7_as_tcaproute_name, show_cs7_as_name_tcapranges_tid_cmd, "show cs7 instance <0-15> as name AS_NAME tcap-ranges tid TID", SHOW_STR CS7_STR INST_STR INST_STR "Application Server (AS)\n" "Display tcap range\n" "Look up AS with a given name\n" "Name of the Application Server (AS)\n" "Show tcap range for a given TID\n" "TID\n")
void | tcap_as_vty_init (void)

## Function Documentation

## ◆ DEFUN() [1/2]

DEFUN | ( | show_cs7_as_tcapranges_name | ,
|  | show_cs7_as_name_tcapranges_cmd | ,
|  | "show cs7 instance <0-15> as name AS_NAME tcap-ranges" | ,
|  | SHOW_STR CS7_STR INST_STR INST_STR "Application Server (AS)\n" "Look up AS with a given name\n" "Name of the Application Server (AS)\n" "Display tcap ranges\n" |
| ) |  |

References tcap_range::list, NULL, osmo_ss7_as_find_by_name(), osmo_ss7_instance_find(), and show_one_tcap_range().

## ◆ DEFUN() [2/2]

DEFUN | ( | show_cs7_as_tcaproute_name | ,
|  | show_cs7_as_name_tcapranges_tid_cmd | ,
|  | "show cs7 instance <0-15> as name AS_NAME tcap-ranges tid TID" | ,
|  | SHOW_STR CS7_STR INST_STR INST_STR "Application Server (AS)\n" "Display tcap range\n" "Look up AS with a given name\n" "Name of the Application Server (AS)\n" "Show tcap range for a given TID\n" "TID\n" |
| ) |  |

References tcap_range::list, NULL, osmo_ss7_as_find_by_name(), osmo_ss7_instance_find(), show_one_tcap_range(), tcap_range::tid_end, and tid_start.

## ◆ show_one_tcap_range()

static int show_one_tcap_range | ( | struct vty * | vty,
|  | const struct osmo_ss7_as * | as,
|  | const struct tcap_range * | tcrng
| ) |  |
| static

References tcap_range::asp, osmo_ss7_asp::cfg, osmo_ss7_as::inst, osmo_ss7_asp::name, osmo_ss7_pointcode_print(), tcap_range::pc, tcap_range::ssn, tcap_range::tid_end, and tcap_range::tid_start.

Referenced by DEFUN().

## ◆ tcap_as_vty_init()

void tcap_as_vty_init | ( | void |  | ) |

Referenced by osmo_ss7_vty_init_sg().